{ config, ... }: {
  sops.secrets.protonvpn_ovpn = {};
  sops.secrets.protonvpn_username = {};
  sops.secrets.protonvpn_password = {};
  sops.templates.protonvpn_credentials.content = ''
      ${config.sops.placeholder.protonvpn_username}
      ${config.sops.placeholder.protonvpn_password}
  '';

  services.openvpn.servers = {
    proton-ca416 = { 
      config = ''
        auth-user-pass ${config.sops.templates.protonvpn_credentials.path}
        config ${config.sops.secrets.protonvpn_ovpn.path}
        remote 149.36.48.153 1194
        remote 149.36.48.153 80
        remote 149.36.48.153 4569
        remote 149.36.48.153 51820
        remote 149.36.48.153 5060
      ''; 
      autoStart = false;
      updateResolvConf = true;
    };
  };
}
